# Graphic2d_Buffer.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Graphic2d_Buffer.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_Aspect_WindowDriver.hxx>`
`#include <Standard_ShortReal.hxx>`
`#include <Aspect_TypeOfDrawMode.hxx>`
`#include <Graphic2d_ViewPtr.hxx>`
`#include <Graphic2d_SequenceOfPrimitives.hxx>`
`#include <Graphic2d_SequenceOfGraphicObject.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Graphic2d_View.hxx>`
`#include <Quantity_Length.hxx>`
`#include <Handle_Graphic2d_GraphicObject.hxx>`
`#include <Handle_Graphic2d_Primitive.hxx>`
`#include <Quantity_PlaneAngle.hxx>`
`#include <Quantity_Factor.hxx>`
`#include <Handle_Graphic2d_ViewMapping.hxx>`
`#include <Standard_Real.hxx>`